{% extends 'berou/base.html' %}
{% load staticfiles i18n %}
{% block content %}
<style>
section.three-columns {
    font-size: 1.5em;
}
section.three-columns div.col-md-4 {
    min-height: 450px;
}
section.two-columns {
    font-size: 1.8em;
}
section.about {
    padding: 80px 0;
}
section.about-blue {
    background-color: rgb(97, 152, 186);
}
section.about-purple {
    background-color: rgb(152, 130, 186);
}
section.about-green {
    background-color: rgb(68, 159, 100);
}
.vertical-space {
    margin-bottom: 100px;
}
a[name=user],
a[name=developer],
a[name=sysadmin],
a[name=user]:hover,
a[name=developer]:hover,
a[name=sysadmin]:hover,
a[name=user]:focus,
a[name=developer]:focus,
a[name=sysadmin]:focus {
    color: #000000 !important;
    text-decoration: none;
}
a[name=user],
a[name=developer],
a[name=sysadmin],
a[name=user]:focus,
a[name=developer]:focus,
a[name=sysadmin]:focus {
    outline: none;
    outline-offset: -2px;
}
section.about small {
    color: #1C007A;
}
section div.content {
    margin-top: 100px;
}
section a,
section a:hover,
section a:active {
    color: #1C007A;
}
</style>
<section class="about three-columns row">
    <div class="container-fluid">
        <h1 class="text-center">{% trans "The Bérou project" %}</h1>
        <img class="thumbnail center-block" alt="Bérou logo" src="{% static 'berou/img/berou.svg' %}" />
        <div class="row vertical-space">
            <div class="col-md-offset-2 col-md-8">
                Bérou is a website where you have access to a repository of applications that you can enable/disable per user account.
                It provides multiple advantages for users, developers as well as system administrators.
            </div>
        </div>
        <p>
        <div class="col-md-4">
            <h3>{% trans "For the user" %}</h3>
            <div class="container-fluid">
                <div class="row">
                    <div class="col-xs-6">
                        <img class="about-logo img-responsive" src="{% static 'berou/img/user_female.svg' %}" alt="{% trans 'User female' %}" />
                    </div>
                    <div class="col-xs-6">
                        <img class="about-logo img-responsive" src="{% static 'berou/img/user_male.svg' %}" alt="{% trans 'User male' %}" />
                    </div>
                </div>
            </div>
            <ul class="list-unstyled">
                <li>{% trans "Lots of apps ready to be used" %}</li>
                <li>{% trans "Ads free" %}</li>
                <li>{% trans "Libre software" %}</li>
            </ul>
            <a href="#user" class="pull-right btn btn-lg btn-info">{% trans "Go to User section" %}</a>
        </div>
        <div class="col-md-4">
            <h3>{% trans "For the developer" %}</h3>
            <div class="row">
                <div class="col-xs-6">
                    <img class="about-logo" src="{% static 'berou/img/developer.svg' %}" alt="{% trans 'User male' %}" />
                </div>
            </div>
            <ul class="list-unstyled">
                <li>{% trans "Development made easy" %}</li>
                <li>{% trans "Focus on your app" %}</li>
                <li>{% trans "Helpers included" %}</li>
            </li>
            <a href="#developer" class="pull-right btn btn-lg btn-info">{% trans "Go to developer section" %}</a>
        </div>
        <div class="col-md-4">
            <h3>{% trans "For the system administrator" %}</h3>
            <div class="row">
                <div class="col-xs-6">
                    <img class="about-logo" src="{% static 'berou/img/sysadmin.svg' %}" alt="{% trans 'User male' %}" />
                </div>
            </div>
            <ul class="list-unstyled">
                <li>{% trans "Ready to be deployed" %}</li>
                <li>{% trans "Comes with batteries included" %}</li>
                <li>{% trans "Just a few commands to type" %}</li>
            </ul>
            <a href="#sysadmin" class="pull-right btn btn-lg btn-info">{% trans "Go to System administrator section" %}</a>
        </div>
        </p>
    </div>
</section>

<section class="about two-columns about-blue row">
    <div class="container-fluid text-center">
        <h2 class="text-center"><a name="user">{% trans "For the user" %}</a></h2>
        <div class="col-md-6">
            <img class="thumbnail img-responsive" src="{% static 'berou/img/erika.png' %}" alt="Erika" />
            <h3 style="margin-top: 20px">{% trans "Erika: Store your links" %}</h3>
        </div>
        <div class="col-md-6">
            <div class="content">
                <ul class="list-unstyled">
                    <li>{% trans "Comes with apps pre-installed" %}</li>
                    <li>{% trans "Libre software <small>We think this matters</small>" %}</li>
                    <li>{% trans "Interface designed to be easy to use" %}</li>
                    <li>{% trans "Works on mobile" %}</li>
                    <li>{% trans "Ads free <small>We do not believe in ads</small>" %}</li>
                </ul>
                <a href="{% url 'accounts:register_user' %}" class="btn btn-lg btn-default">{% trans "Register now!" %}</a>
            </div>
        </div>
    </div>
</section>
<section class="about two-columns about-green row">
    <div class="container-fluid text-center">
        <h2 class="text-center"><a name="developer">{% trans "For the developer" %}</a></h2>
        <div class="col-md-6">
            <ul class="list-unstyled">
                <li>{% trans "Bérou is a Django project" %}</li>
                <li>{% trans "Focus on your app <small>and only your app</small>" %}</li>
                <li>{% trans "Helpers included to make development faster" %}</li>
                <li>{% trans "Use great technologies" %}</li>
                <li>{% trans "Use Django Generic Class-Based Views" %}</li>
                <a href="http://docs.berou.fr/tutorial.html" class="btn btn-lg btn-default">{% trans "Create your first app" %}</a>
            </ul>
        </div>
        <div class="col-md-6">
            <img class="img-responsive" src="{% static 'berou/img/technologies.png' %}" alt="Technologies used in Bérou" />
            <h3 style="margin-top: 20px">{% trans "Technologies used by Bérou:" %} <a href="https://www.python.org/">{% trans "Python" %}</a> / <a href="https://www.djangoproject.com/">{% trans "Django" %}</a> / <a href="http://getbootstrap.com/">{% trans "Bootstrap" %}</a></h3>
        </div>
    </div>
</section>
<section class="about two-columns about-purple row">
    <div class="container-fluid text-center">
        <h2 class="text-center"><a name="sysadmin">{% trans "For the system administrator" %}</a></h2>
        <div class="col-md-6">
            <img class="img-responsive" src="{% static 'berou/img/deployment_tools.png' %}" alt="Deployment tools used in Bérou" />
            <h3 style="margin-top: 20px">{% trans "Deployment tools used by Bérou:" %} <a href="https://www.python.org/">{% trans "nginx" %}</a> / <a href="https://www.djangoproject.com/">{% trans "gunicorn" %}</a> / <a href="http://getbootstrap.com/">{% trans "supervisor" %}</a></h3>
        </div>
        <div class="col-md-6">
            <div class="content">
                <h3>{% trans "Comes with deployment tools pre-configured" %}</h3>
                <h3>{% trans "You just need to adjust a few paths" %}</h3>
                <h3>{% trans "Ansible is planned to be used to simplify even more the process" %}</h3>
                <h3>{% trans "Manage the apps you want to install with" %} <a href="https://en.wikipedia.org/wiki/Pip_%28package_manager%29">{% trans "pip" %}</a></h3>
                <a href="http://docs.berou.fr/" class="btn btn-lg btn-default">{% trans "Install Bérou on your own server" %}</a>
            </div>
        </div>
    </div>
</section>
{% endblock content %}
